public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: semodule-rebuild-if-modules-changed: fix RHEL version check (take 2)
@ 2026-09-11 13:20 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:20 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 2c82db3d51bda397b24c27f75e2e15038eb15dc0
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2023-03-24T10:15:21+01:00
Stats : +2/-2 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/2c82db3d51bda397b24c27f75e2e15038eb15dc0?branch=pr775-checkpolicy-revdeps
Log:
semodule-rebuild-if-modules-changed: fix RHEL version check (take 2)
Rework the conditional so that the new part of the test runs everywhere
except specified old version cases. Before this it wouldn't be run on
Fedora, CentOS, or RHEL>=10.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh b/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
index 5e6063d..5347206 100755
--- a/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
+++ b/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
@@ -117,8 +117,8 @@ rlJournalStart
"Force a rebuild to clean things up"
rlPhaseEnd
- if { rlIsRHEL 9 && rlIsRHEL '>=9.3'; } || \
- { rlIsRHEL 8 && rlIsRHEL '>=8.9'; }
+ if ! { rlIsRHEL 9 && rlIsRHEL '<9.3'; } && \
+ ! { rlIsRHEL 8 && rlIsRHEL '<8.9'; }
then
rlPhaseStartTest "Disable dontaudit injected"
rlLog "Inject disable_dontaudit flag into the store"
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: semodule-rebuild-if-modules-changed: fix RHEL version check (take 2) Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox